Summary: User-space control program for the arptables network filter
Name:    arptables_jf
Version: 0.0.8
Release: alt2_36
License: GPLv2+
Group:   System/Base

# There's no Url tag here because there's no upstream.
Source0:  %{name}-%{version}.tbz
Source1: arptables.service
Source2: arptables-helper

Patch1: arptables_jf-0.0.8-2.6-kernel.patch
Patch2: arptables_jf-0.0.8-man.patch
Patch3: arptables_jf-0.0.8-warnings.patch
Patch4: arptables_jf-0.0.8-header.patch
Patch5: arptables_jf-0.0.8-mangle.patch
Patch6: arptables_jf-0.0.8-byteorder.patch
Patch7: arptables_jf-0.0.8-options.patch

BuildRequires: systemd
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd
Source44: import.info

%description
The arptables_jf utility controls the arpfilter network packet filtering
code in the Linux kernel.  You do not need this program for normal
network firewalling.  If you need to manually control which arp
requests and/or replies this machine accepts and sends, you should
install this package.

Arptables_jf is a fork of arptables from ebtables.sourceforge.net
written by Jay Fenlason.

%prep
%setup -q
%patch1 -p1 -b .2.6-kernel
%patch2 -p1 -b .man
%patch3 -p1 -b .warnings
%patch4 -p1 -b .header
%patch5 -p1 -b .mangle
%patch6 -p1 -b .byteorder
%patch7 -p1 -b .options

%build
make all 'COPT_FLAGS=%{optflags} -fno-strict-aliasing' %{_smp_mflags}

%install
make install DESTDIR=%{buildroot} BINDIR=%{_sbindir}
install -D -m 644 %{SOURCE1} %{buildroot}%{_unitdir}/arptables.service
mkdir -p %{buildroot}%{_libexecdir}/
install -D -m 755 %{SOURCE2} %{buildroot}%{_libexecdir}/
rm -rf %{buildroot}%{_initrddir}
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
echo '#Configure prior to use' > %{buildroot}%{_sysconfdir}/sysconfig/arptables

%post
%post_service arptables

%preun
%preun_service arptables

%files
%{_sbindir}/arptables*
%{_libexecdir}/arptables-helper
%{_mandir}/*/arptables*
%{_unitdir}/arptables.service
%config(noreplace) %{_sysconfdir}/sysconfig/arptables

%changelog
* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.8-alt2_36
- update to new release by fcimport

* Tue May 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.8-alt2_34
- update to new release by fcimport

* Sun Mar 24 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.8-alt2_32
- use post/un_service for service-only packages

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.8-alt1_32
- update to new release by fcimport

* Sat Jan 19 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.8-alt1_31
- next fc release

* Mon Dec 03 2012 Igor Vlasenko <viy@altlinux.ru> 0.0.8-alt1_30
- update to new release by fcimport

* Tue Sep 04 2012 Igor Vlasenko <viy@altlinux.ru> 0.0.8-alt1_29
- update to new release by fcimport

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 0.0.8-alt1_28
- update to new release by fcimport

* Tue May 22 2012 Igor Vlasenko <viy@altlinux.ru> 0.0.8-alt1_27
- regenerated with 0.46 R::S::C

* Fri May 18 2012 Igor Vlasenko <viy@altlinux.ru> 0.0.8-alt1_26
- converted for Sisyphus

